# Uses of Class
org.springframework.jdbc.datasource.lookup.DataSourceLookupFailureException

Packages that use DataSourceLookupFailureException
Package
Description
org.springframework.jdbc.datasource.lookup
Provides a strategy for looking up JDBC DataSources by name.

## Uses of DataSourceLookupFailureException in org.springframework.jdbc.datasource.lookup

Methods in org.springframework.jdbc.datasource.lookup that throw DataSourceLookupFailureException
Modifier and Type
Method
Description
`DataSource`
BeanFactoryDataSourceLookup.`getDataSource(String dataSourceName)`
`DataSource`
DataSourceLookup.`getDataSource(String dataSourceName)`
Retrieve the DataSource identified by the given name.
`DataSource`
JndiDataSourceLookup.`getDataSource(String dataSourceName)`
`DataSource`
MapDataSourceLookup.`getDataSource(String dataSourceName)`